Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.jau.awt.macintosh
Class MacHandleAccess

    java.lang.Object
      |
      +--gl4java.jau.awt.macintosh.MacHandleAccess

All Implemented Interfaces:
  WinHandleAccess

public class MacHandleAccess
extends java.lang.Object
implements WinHandleAccess

This class has no user servicable parts inside. It is used internally by GLFrame and by our package spoofed sun.awt classes that give us internal access to window variables that we need to set up the OpenGL drawing context

Version:
  0.1, 7. JULY 1998
Author:
  Sven Goethel, ported to Mac by gerard ziemski
See Also:
  `WinHandleAccess`

Field Summary
`protected int` | `depth`
`protected sun.awt.DrawingSurface` | `ds`
`protected sun.awt.DrawingSurfaceInfo` | `dsi`
`protected sun.awt.MacDrawingSurface` | `mds`
`protected long` | `window`

Constructor Summary
`MacHandleAccess()`

Method Summary
`protected void` | `achieveData(java.awt.Component c, java.awt.Graphics g)`
`int` | `getWinDepth(java.awt.Component c, java.awt.Graphics g)` gets some structure for windows, and drawable on Mac
`long` | `getWinHandle(java.awt.Component c, java.awt.Graphics g)` gets some structure for windows, and drawable on Mac

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ds

    protected sun.awt.DrawingSurface ds

### dsi

    protected sun.awt.DrawingSurfaceInfo dsi

### mds

    protected sun.awt.MacDrawingSurface mds

### window

    protected long window

### depth

    protected int depth

Constructor Detail

### MacHandleAccess

    public MacHandleAccess()

Method Detail

### achieveData

    protected void achieveData(java.awt.Component c,
                               java.awt.Graphics g)

### getWinHandle

    public long getWinHandle(java.awt.Component c,
                             java.awt.Graphics g)

  gets some structure for windows, and drawable on Mac
  Specified by:
    `getWinHandle` in interface `WinHandleAccess`

### getWinDepth

    public int getWinDepth(java.awt.Component c,
                           java.awt.Graphics g)

  gets some structure for windows, and drawable on Mac
  Specified by:
    `getWinDepth` in interface `WinHandleAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD